// Digital pin 4 will be called 'fe' (short version of 'fume extractor')
int fe = 4;
// Analog pin 1 will be called 'sensor'
int sensor = A1;
// Set the initial sensorValue to 0
int sensorValue = 0;

// The setup routine runs once when you press reset
void setup() {
  // Initialize the digital pin 4 (named 'fe') as output
  pinMode(fe, OUTPUT);
}

// The loop routine runs over and over again forever
void loop() {
  // Read the input from analog pin 0 (named 'sensor')
  sensorValue = analogRead(sensor);
  // If sensorValue is greater than 570
  if (sensorValue > 570) {
    // Activate the 'fe' pin - the fume extractor will turn on and the blue LED will light up
    digitalWrite(fe, HIGH);
    delay(100);
  }
  else {
    // Deactivate the 'fe' pin - the fume extractor and the blue LED will turn off
    digitalWrite(fe, LOW);
    delay (500);
  }
}

